> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aiid.edu.kg/llms.txt
> Use this file to discover all available pages before exploring further.

# Query a music task by ID

> Query the music generation task through path `task_id`.

Music generation task query API. The `data` returned by the create API is the task ID; use `GET /suno/fetch/{task_id}` to query a single task.

## Query methods

```http
GET /suno/fetch/task_xxx
```

## Query output

Keep the outer new-api task structure:

- `code`: `success` on success.
- `message`: Error or message information.
- `data.task_id`: Task ID.
- `data.status`: Task status, common values are `NOT_START`, `SUBMITTED`, `QUEUED`, `IN_PROGRESS`, `SUCCESS`, and `FAILURE`.
- `data.progress`: Task progress.
- `data.result_url`: Result URL available after success. If the upstream returns multiple songs, the fragment in `data.data` prevails.
- `data.data`: Raw upstream music result data, usually containing an array or object of song fragments.

Success example:

```json
{
  "code": "success",
  "message": "",
  "data": {
    "task_id": "task_xxx",
    "platform": "suno",
    "action": "MUSIC",
    "status": "SUCCESS",
    "progress": "100%",
    "result_url": "https://example.com/audio.mp3",
    "properties": {
      "upstream_model_name": "suno_music",
      "origin_model_name": "suno-v5.5"
    },
    "data": [
      {
        "id": "clip_xxx",
        "title": "夏日海风",
        "audio_url": "https://example.com/audio.mp3",
        "image_url": "https://example.com/cover.jpg",
        "model_name": "suno-v5.5",
        "metadata": {
          "duration": 180,
          "prompt": "轻快电子流行，夏日海边，女声 旋律"
        }
      }
    ]
  }
}
```



## OpenAPI

````yaml api-reference/en/openapi.json GET /suno/fetch/{task_id}
openapi: 3.0.0
info:
  title: Overseas Expansion Camp API Reference Documentation
  version: 1.0.0
  description: Public AI Gateway API Reference
servers:
  - url: https://api.aiid.edu.kg
security:
  - BearerAuth: []
tags:
  - name: OpenAI format (Chat)
  - name: OpenAI Format (Responses)
  - name: Gemini Format for Image Generation
  - name: Image generationOpenAI DALL-E format
  - name: List models
  - name: Video generationHappyHorse and Wan
  - name: Video generation Kling format
  - name: Video generation Omni and Veo formats
  - name: Video generation Seedance
  - name: Video generation Sora compatible formats
  - name: Video generation Vidu
  - name: Music generation task format
paths:
  /suno/fetch/{task_id}:
    get:
      tags:
        - Music generation task format
      summary: Query a music task by ID
      description: >-
        Query the music generation task through path `task_id`.


        Music generation task query API. The `data` returned by the create API
        is the task ID; use `GET /suno/fetch/{task_id}` to query a single task.


        ## Query methods


        ```http

        GET /suno/fetch/task_xxx

        ```


        ## Query output


        Keep the outer new-api task structure:


        - `code`: `success` on success.

        - `message`: Error or message information.

        - `data.task_id`: Task ID.

        - `data.status`: Task status, common values are `NOT_START`,
        `SUBMITTED`, `QUEUED`, `IN_PROGRESS`, `SUCCESS`, and `FAILURE`.

        - `data.progress`: Task progress.

        - `data.result_url`: Result URL available after success. If the upstream
        returns multiple songs, the fragment in `data.data` prevails.

        - `data.data`: Raw upstream music result data, usually containing an
        array or object of song fragments.


        Success example:


        ```json

        {
          "code": "success",
          "message": "",
          "data": {
            "task_id": "task_xxx",
            "platform": "suno",
            "action": "MUSIC",
            "status": "SUCCESS",
            "progress": "100%",
            "result_url": "https://example.com/audio.mp3",
            "properties": {
              "upstream_model_name": "suno_music",
              "origin_model_name": "suno-v5.5"
            },
            "data": [
              {
                "id": "clip_xxx",
                "title": "夏日海风",
                "audio_url": "https://example.com/audio.mp3",
                "image_url": "https://example.com/cover.jpg",
                "model_name": "suno-v5.5",
                "metadata": {
                  "duration": 180,
                  "prompt": "轻快电子流行，夏日海边，女声 旋律"
                }
              }
            ]
          }
        }

        ```
      parameters:
        - name: task_id
          in: path
          required: true
          schema:
            type: string
            example: task_xxx
          description: The task ID returned when submitting a music task.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: success
                    description: On success, `success`.
                  message:
                    type: string
                    description: Error or warning message.
                  data:
                    type: object
                    properties:
                      task_id:
                        type: string
                        description: Task ID.
                      status:
                        type: string
                        description: >-
                          Task status, common values are `NOT_START`,
                          `SUBMITTED`, `QUEUED`, `IN_PROGRESS`, `SUCCESS`, and
                          `FAILURE`.
                      progress:
                        type: string
                        description: Task progress.
                      result_url:
                        type: string
                        description: The result URL available after success.
                      data:
                        type: string
                        items:
                          type: object
                          properties:
                            audio_url:
                              type: string
                              description: Song audio URL.
                            image_url:
                              type: string
                              description: Song cover URL.
                            title:
                              type: string
                              description: Song title.
                            metadata:
                              type: object
                              properties:
                                duration:
                                  type: string
                                  description: Audio duration.
              examples:
                music_fetch_success:
                  summary: Music task query succeeded
                  value:
                    code: success
                    message: ''
                    data:
                      task_id: task_xxx
                      platform: suno
                      action: MUSIC
                      status: SUCCESS
                      progress: 100%
                      result_url: https://example.com/audio.mp3
                      properties:
                        upstream_model_name: suno_music
                        origin_model_name: suno-v5.5
                      data:
                        - id: clip_xxx
                          title: 夏日海风
                          audio_url: https://example.com/audio.mp3
                          image_url: https://example.com/cover.jpg
                          model_name: suno-v5.5
                          metadata:
                            duration: 180
                            prompt: 轻快电子流行，夏日海边，女声 旋律
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |-
        Use Bearer Token authentication.
        Format: `Authorization: Bearer sk-xxxxxx`

````